# Class RuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException

Direct Known Subclasses:
  `ArithmeticException, ArrayStoreException, AsyncMedia.MediaException, AsyncResource.AsyncExecutionException, AsyncResource.CancellationException, ClassCastException, ConcurrentModificationException, CryptoException, DateTimeException, EmptyStackException, GrpcException, HealthConfigurationException, IllegalArgumentException, IllegalMonitorStateException, IllegalStateException, IncompleteAnnotationException, IndexOutOfBoundsException, InferenceException, NegativeArraySizeException, NoSuchElementException, NullPointerException, RESyntaxException, SecurityException, UnsupportedOperationException, VisionException`

public class RuntimeException extends Exception
RuntimeException is the superclass of those exceptions that can be thrown during the normal operation of the Java Virtual Machine. A method is not required to declare in its throws clause any subclasses of RuntimeException that might be thrown during the execution of the method but not caught. Since: JDK1.0, CLDC 1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuntimeException()`
  Constructs a RuntimeException with no detail message.
  `RuntimeException(String s)`
  Constructs a RuntimeException with the specified detail message.
  `RuntimeException(String s, Throwable cause)`
  Constructs a RuntimeException with the specified detail message and cause.
  `RuntimeException(Throwable cause)`
  Constructs a RuntimeException with specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RuntimeException

    public RuntimeException()
    Constructs a RuntimeException with no detail message.

  - ### RuntimeException

    public RuntimeException(String s)
    Constructs a RuntimeException with the specified detail message. s - the detail message.

  - ### RuntimeException

    public RuntimeException(Throwable cause)

    Constructs a RuntimeException with specified cause.

    ###### Parameters

    - `cause`: The cause of the exception.

  - ### RuntimeException

    public RuntimeException(String s, Throwable cause)
    Constructs a RuntimeException with the specified detail message and cause. s - the detail message. cause The cause of the exception.